Digikam AppImage doesn't start

I downloadad the Digikam AppImange made it executable and tried to start, nothing happens.
I tried another Appimage from MuseScore, works normal.
Any idea what the problem might be?

https://download.kde.org/unstable/digikam/digikam-7.0.0-beta2-1-x86-64.appimage

tried this on an old Laptop and in a VirtualBox on an new one

Thanks for your help

Take it there (stable version).

"Your link is below:"
https://
  download.kde.org/
    unstable/  "UNSTABLE, sir ;)"
      digikam/
        digikam-7.0.0-beta2-1-x86-64.appimage

Update (Fail + Fix):

# try to start appImage from console: it will show the errors.
./digikam-6.4.0-x86-64.appimage

digikam: error while loading shared libraries: libjack.so.0: cannot open shared object file: No such file or directory
# also the command
# dnf repoquery --privides libnsl*
# was used to find the package provides libnsl

dnf install   jack-audio-connection-kit   libnsl
# now it works ;) (for me)

Thanks a lot for your help.
Your hint helped for the Appimage of Digikam 6.4 and 7.00 beta 1
for the newest 7.00 beta 2 Appimage I still get an error.

Blockquote
/usr/bin/AppImageLauncher: /lib64/libcurl.so.4: no version information available (required by /usr/bin/…/lib/x86_64-linux-gnu/appimagelauncher/libappimageupdate.so)
– digiKam Linux AppImage Bundle
– Use ‘help’ as CLI argument to know all available options for digiKam application.
– Notes: to integrate this bundle to your desktop, use AppImageLauncher.
– to enable all debug messages on the console, use ‘export QT_LOGGING_RULES=“digikam*=true”’.
libudev.so.0
– Preloading shared libs:
unknown: qglx_findConfig: Failed to finding matching FBConfig for QSurfaceFormat(version 2.0, options QFlagsQSurfaceFormat::FormatOption(), depthBufferSize -1, redBufferSize 1, greenBufferSize 1, blueBufferSize 1, alphaBufferSize -1, stencilBufferSize -1, samples -1, swapBehavior QSurfaceFormat::SingleBuffer, swapInterval 1, colorSpace QSurfaceFormat::DefaultColorSpace, profile QSurfaceFormat::NoProfile)
unknown: qglx_findConfig: Failed to finding matching FBConfig for QSurfaceFormat(version 2.0, options QFlagsQSurfaceFormat::FormatOption(), depthBufferSize -1, redBufferSize 1, greenBufferSize 1, blueBufferSize 1, alphaBufferSize -1, stencilBufferSize -1, samples -1, swapBehavior QSurfaceFormat::SingleBuffer, swapInterval 1, colorSpace QSurfaceFormat::DefaultColorSpace, profile QSurfaceFormat::NoProfile)
unknown: Could not initialize GLX
/tmp/.mount_digikaPoWBYb/AppRun: Zeile 155: 3329 Abgebrochen (Speicherabzug geschrieben) digikam $@

Does it have anything to do with the following change from Beta1 to Beta2?

Blockquote
Add Qt 5.14 support. Switch AppImage and MacOS package from QtWebkit to QtWebEngine.

For AppImages, the best people to ask would be the project/people providing the AppImages you are using. Similar to any other binaries you’d download, these are not Fedora specific, and are not created by the Fedora community. (The same goes for Flatpaks from Flathub, for example).

Is there a reason we’re not using digikam from the repositories? That is tested and supported by the KDE volunteers in Fedora:

sudo dnf install digikam
2 Likes

As soon as the version 7.0.0 is available via dnf, I will install it this way. The version 7.0.0beta has a feature that I actually need.

2 Likes

Ah, version 7 is in Fedora 32 which will be released in a few months:

https://src.fedoraproject.org/rpms/digikam

I don’t know if Fedora 31 will get the update, though. We don’t make major version updates in stable releases unless absolutely necessary (say for a security fix, for example):

https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#stable-releases